
bluestore - Backport #55442

pacific: rocksdb omap iterators become extremely slow in the presence of large delete range

tombstones

04/25/2022 11:05 PM - Backport Bot

Status: Resolved   

Priority: High   

Assignee: Adam Kupczyk   

Target version: v16.2.8   

Release: pacific Crash signature (v2):  

Crash signature (v1):    

Description

https://github.com/ceph/ceph/pull/46096

Related issues:

Copied from bluestore - Bug #55324: rocksdb omap iterators become extremely s... Resolved

History

#1 - 04/25/2022 11:05 PM - Backport Bot

- Copied from Bug #55324: rocksdb omap iterators become extremely slow in the presence of large delete range tombstones added

#2 - 04/25/2022 11:06 PM - Neha Ojha

- Description updated

- Status changed from New to In Progress

- Assignee set to Cory Snyder

#3 - 04/26/2022 02:49 PM - Neha Ojha

- Status changed from In Progress to Resolved

- Target version set to v16.2.8

#4 - 05/02/2022 05:22 PM - Neha Ojha

- Description updated

- Status changed from Resolved to In Progress

- Assignee changed from Cory Snyder to Adam Kupczyk

- Target version deleted (v16.2.8)

#5 - 05/04/2022 08:10 PM - Yuri Weinstein

Backport Bot wrote:

https://github.com/ceph/ceph/pull/46096

 

merged

#6 - 05/04/2022 08:18 PM - Neha Ojha
https://github.com/ceph/ceph/pull/46096
https://github.com/ceph/ceph/pull/46096


- Status changed from In Progress to Resolved

- Target version set to v16.2.8
